#' Dataset containing details on simulated SNPs
#'
#' A dataset containing the positions, genetic distances and
#' alleles for 20 SNPs, across 10 simulated chromosomes.
#'
#' @format A data frame with 20 rows and 12 variables:
#' \describe{
#'   \item{bp_positions}{location of the SNP on the chromosome e.g. in base pairs}
#'   \item{cM_distances}{genetic distance of the SNP from the start of the chromosome e.g. in centimorgans}
#'   \item{chrom_1}{allele of the SNP on the first example chromosome}
#'   \item{chrom_2}{allele of the SNP on the second example chromosome}
#'   \item{chrom_3}{allele of the SNP on the third example chromosome}
#'   \item{chrom_4}{allele of the SNP on the fourth example chromosome}
#'   \item{chrom_5}{allele of the SNP on the fifth example chromosome}
#'   \item{chrom_6}{allele of the SNP on the sixth example chromosome}
#'   \item{chrom_7}{allele of the SNP on the seventh example chromosome}
#'   \item{chrom_8}{allele of the SNP on the eighth example chromosome}
#'   \item{chrom_9}{allele of the SNP on the ninth example chromosome}
#'   \item{chrom_10}{allele of the SNP on the tenth example chromosome}
#' }
#' @examples
#' snps
"snps"
